package dev.crucifixbeta.api.events.impl;

import dev.crucifixbeta.api.events.Event;
import net.fabricmc.api.EnvType;
import net.fabricmc.api.Environment;

@Environment(EnvType.CLIENT)
public class ChunkOcclusionEvent extends Event {
   private static final ChunkOcclusionEvent INSTANCE = new ChunkOcclusionEvent();

   private ChunkOcclusionEvent() {
   }

   public static ChunkOcclusionEvent get() {
      INSTANCE.setCancelled(false);
      return INSTANCE;
   }
}
